Bug 587886 - SELinux is preventing /usr/bin/xauth "open" access on cpuinfo.
SELinux is preventing /usr/bin/xauth "open" access on cpuinfo.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:aaa063cbdc8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-01 07:03 EDT by rvenkatessh
Modified: 2010-05-18 17:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.6.32-114.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 17:55:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rvenkatessh 2010-05-01 07:03:58 EDT
Summary:

SELinux is preventing /usr/bin/xauth "open" access on cpuinfo.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by xauth. It is not expected that this access is
required by xauth and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023
Target Context                system_u:object_r:proc_t:s0
Target Objects                cpuinfo [ file ]
Source                        xauth
Source Path                   /usr/bin/xauth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-xauth-1.0.2-7.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-110.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.11-99.fc12.i686.PAE #1 SMP
                              Mon Apr 5 16:15:03 EDT 2010 i686 i686
Alert Count                   2
First Seen                    Thu 22 Apr 2010 00:14:59 EEST
Last Seen                     Thu 22 Apr 2010 11:49:53 EEST
Local ID                      abc1c19d-65ed-4249-9947-403989ee5810
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1271926193.835:35): avc:  denied  { open } for  pid=13302 comm="xauth" name="cpuinfo" dev=proc ino=4026531980 scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1271926193.835:35): arch=40000003 syscall=5 success=yes exit=17 a0=2ac79e8 a1=8000 a2=1b6 a3=2ad13f9 items=0 ppid=13287 pid=13302 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=pts0 ses=1 comm="xauth" exe="/usr/bin/xauth" subj=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,xauth,xauth_t,proc_t,file,open
audit2allow suggests:

#============= xauth_t ==============
allow xauth_t proc_t:file open;
Comment 1 Miroslav Grepl 2010-05-05 09:11:43 EDT
Fixed in selinux-policy-3.6.32-114.fc12
Comment 2 Fedora Update System 2010-05-05 11:37:07 EDT
selinux-policy-3.6.32-114.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-114.fc12
Comment 3 Fedora Update System 2010-05-06 23:57:47 EDT
selinux-policy-3.6.32-114.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-114.fc12
Comment 4 Fedora Update System 2010-05-18 17:54:41 EDT
selinux-policy-3.6.32-114.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.